#ifndef __MXB_V4L2__
#define __MXB_V4L2__

#include "videodevX/videodev.h"

#define BASE_VIDIOC_MXB 10

#define MXB_S_AUDIO_CD		_IOW  ('V', BASE_VIDIOC_PRIVATE+BASE_VIDIOC_MXB+00, int)
#define MXB_S_AUDIO_LINE	_IOW  ('V', BASE_VIDIOC_PRIVATE+BASE_VIDIOC_MXB+01, int)

#define MXB_IDENTIFIER "Multimedia eXtension Board"

#define MXB_AUDIOS	7
/* these are the available audio sources, which can switched
   to the line- and cd-output individually */
struct v4l2_audio mxb_audios[MXB_AUDIOS] =
	{	{ 0, "Tuner",	0},
		{ 1, "Camera",	0},
/*		{ x, "MPEG",	0},*/
		{ 2, "AUX1",	0},
		{ 3, "AUX2",	0},
		{ 4, "AUX3",	0},
		{ 5, "Radio",	0},
		{ 6, "CD-Rom",	0} };
#endif
