# spec-file for a video4linux-2 device driver package
# for saa7146 based video cards

Summary: A video4linux-2 device driver package for saa7146 based video cards
Name: saa7146-v4l2
Version: 0.4.4
Release: 1
Copyright: GPL
Group: Device Driver
Source: %{name}-%{version}.tar.gz
URL: http://www.mihu.de/linux/saa7146/

%description
This is a video4linux-2 device driver package for saa7146
based video cards. Already included are specialized drivers
for the "Multimedia eXtension Board" (mxb) by Siemens-Nixdorf
and for the "dpc7146 demonstration board" my Philips
Semiconductors.

%package mxb
Summary: A video4linux-2 device driver for the "Multimedia eXtension Board"
Group: Device Driver

%description mxb
A video4linux-2 device driver for the "Multimedia eXtension Board"

%package dpc
Summary: A video4linux-2 device driver for the "dpc7146 demonstration board"
Group: Device Driver

%description dpc
A video4linux-2 device driver for the "dpc7146 demonstration board"

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
tar xzfv $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz

%build
cd $RPM_BUILD_DIR/%{name}-%{version}
make

%install
cd $RPM_BUILD_DIR/%{name}-%{version}
make install

%files mxb -f %{name}-%{version}/files_mxb.rpm

%files dpc -f %{name}-%{version}/files_dpc.rpm
