#!/usr/bin/wish

lappend names Tuner Camera AUX1 AUX2 AUX3 Radio CD-Rom Mute
lappend modes Mono Stereo Lang2 Lang1

set text_cdrom "??? -> CD-Out"
set text_line  "??? -> Line-Out"
set text_mode "???"

set dest 1
set out_cdrom 0
set out_line  0

proc set_mode { a } {
	global modes text_mode
	
	.audio.mode config -text "[lindex $modes [expr $a ]]"

	exec mxb_tool -m $a
#	puts "mxb_tool -m $a"
}


proc set_conn { } {
	global out_cdrom out_line

#	puts stdout "mxb_tool -c $out_cdrom -l $out_line" 
	exec mxb_tool -c $out_cdrom -l $out_line
}
proc set_mux { a } {

	global out_cdrom out_line dest names

	if {$dest} {
		set out_line $a
		.dst.line  config -text "[lindex $names [expr $out_line ]] -> Line-Out"
	} else {
		set out_cdrom $a
		.dst.cdrom config -text "[lindex $names [expr $out_cdrom ]] -> CD-Out"
	}

	set_conn
}

# create main window
frame .src

# create splitted src-frame with the input selectors
frame .src.left
frame .src.right

label .src.tx1 -text Source -fg red
pack .src.tx1

foreach i {0 1 5 6} {
button .src.left.$i -text [lindex $names $i] -width 8 -command "set_mux $i"
pack .src.left.$i
}

foreach i {2 3 4} {
button .src.right.$i	-text [lindex $names $i] -width 8 -command "set_mux $i"
pack .src.right.$i
}

pack .src.left -side left
pack .src.right -side right

# create dst-frame holding the output-radiobuttons
frame .dst
label .dst.tx1 -text Destination -fg red
pack .dst.tx1

radiobutton .dst.cdromout -text CD-Rom   -variable dest -value 0
radiobutton .dst.lineout  -text Line-Out -variable dest -value 1
pack .dst.lineout -padx 20
pack .dst.cdromout -padx 20

label .dst.tx2 -text "Current Connections" -fg red
label .dst.line  -text $text_line  -width 20
label .dst.cdrom -text $text_cdrom -width 20
pack .dst.tx2
pack .dst.line
pack .dst.cdrom

frame .audio
pack .audio -side right

label .audio.tx -text "Audio mode" -fg red
pack .audio.tx

frame .audio.left
frame .audio.right

foreach i {0 1} {
button .audio.left.$i	-text [lindex $modes $i] -width 8 -command "set_mode $i"
pack .audio.left.$i
}
foreach i {3 2} {
button .audio.right.$i	-text [lindex $modes $i] -width 8 -command "set_mode $i"
pack .audio.right.$i
}

label .audio.mode  -text $text_mode  -width 20
pack .audio.mode -side bottom

label .audio.tx2 -text "Current mode" -fg red
pack .audio.tx2 -side bottom

pack .audio.left -side left
pack .audio.right -side right

# pack the windows
pack .dst .src -side right

# set the default connections: cdrom(6) to cdrom-out(0)
#set dest 0
#set_mux 6

# set the default connections: tuner(0) to line-out(1)
#set dest 1
#set_mux 0

#set_conn
